LYNX(1)

NUME
lynx - un navigator de informații distribuite de uz general pentru World Wide Web

SINOPSIS
lynx [opțiuni] [rute opționale sau adrese_URL]

lynx [opțiuni] [rută sau adresă_URL] -get_data
date
--

lynx [opțiuni] [rută sau adresă_URL] -post_data
date
--

Utilizați «lynx -help» pentru a afișa lista completă a opțiunilor disponibile.

DESCRIERE
Lynx is a fully-featured World Wide Web (WWW) client for users running cursor-addressable, character-cell display devices (e.g., vt100 terminals, vt100 emulators running on Windows or any POSIX platform, or any other “curses-oriented” display). It will display hypertext markup language (HTML) documents containing links to files residing on the local system, as well as files residing on remote systems running Gopher, HTTP, FTP, WAIS, and NNTP servers.

Lynx a fost adaptat pentru numeroase sisteme, inclusiv toate variantele de Unix, Windows (începând cu Windows 95), DOS DJGPP și OS/2, precum și VMS și OS/390.

Lynx can be used to access information on the World Wide Web, or to build information systems intended primarily for local access. For example, Lynx has been used to build several Campus Wide Information Systems (CWIS). In addition, Lynx can be used to build systems isolated within a single LAN.

OPȚIUNI
At start up, Lynx will load any local file or remote URL specified at the command line. For help with URLs, press “?” or “H” while running Lynx. Then follow the link titled, “Help on URLs.”

If more than one local file or remote URL is listed on the command line, Lynx will open only the last interactively. All of the names (local files and remote URLs) are added to the G)oto history.

Lynx uses only long option names. Option names can begin with double dash “--” as well, underscores and dashes can be intermixed in option names (in the reference below, options are shown with one dash “-” before them, and with underscores “_”).

Lynx provides many command-line options. Some options require a value (string, number or keyword). These are noted in the reference below. The other options set boolean values in the program. There are three types of boolean options: set, unset and toggle. If no option value is given, these have the obvious meaning: set (to true), unset (to false), or toggle (between true/false). For any of these, an explicit value can be given in different forms to allow for operating system constraints, e.g.,

-center:off -center=off -center-

Lynx recunoaște „1”, „+”, „on” și „true” ca valori adevărate, iar „0”, „-”, „off” și „false” ca valori false. Celelalte valori ale opțiunilor sunt ignorate.

The default boolean, number and string option values that are compiled into Lynx are displayed in the help-message provided by lynx -help. Some of those may differ according to how Lynx was built; see the help message itself for these values. The -help option is processed in the third pass of options-processing, so any option which sets a value, as well as runtime configuration values are reflected in the help-message.

-   If the argument is only “-”, then Lynx expects to receive the arguments from the standard input. This is to allow for the potentially very long command line that can be associated with the -get_data or -post_data arguments (see below). It can also be used to avoid having sensitive information in the invoking command line (which would be visible to other processes on most systems), especially when the -auth or -pauth options are used.

-accept_all_cookies
    acceptă toate cookie-urile fără a solicita confirmare dacă gestionarea Set-Cookie este activată. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-anonymous
    aplicați restricții pentru conturile anonime; a se vedea și -restrictions .

-assume_charset=nume-MIME
    setul de caractere pentru documentele care nu îl specifică.

-assume_local_charset=nume-MIME
    setul de caractere presupus pentru fișierele locale, adică fișierele create de Lynx, cum ar fi paginile interne ale meniului de opțiuni.

-assume_unrec_charset=nume-MIME
    utilizează acest set de caractere în locul seturilor de caractere nerecunoscute.

-auth=ID:PAROLA
    set authorization ID and password for protected documents at startup. Be sure to protect any script files which use this switch.

-base
    prepend a request URL comment and BASE tag to text/html outputs for -source dumps.

-bibhost=URL
    specifică un server bibp local (implicit http://bibhost/).

-blink
    forces high intensity background colors for color mode, if available and supported by the terminal. This applies to the slang library (for a few terminal emulators), or to OS/2 EMX with ncurses.

-book
    use the bookmark page as the startfile. The default or command line startfile is still set for the Main screen command, and will be used if the bookmark page is unavailable or blank. The default is “off”.

-buried_news
    toggles scanning of news articles for buried references, and converts them to news links. Not recommended because email addresses enclosed in angle brackets will be converted to false news links, and uuencoded messages can be trashed. The default is “on”.

-cache=NUMĂR
    stabilește NUMARUL de documente stocate în memoria cache. Valoarea implicită este 10.

-case
    activează căutarea șirurilor de caractere cu diferențierea majusculelor și minusculelor. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-center
    toggles center alignment in HTML TABLE. Normally table cells are centered on the table grid. Set this option “on” to disable centering. The default is “off”.

-cfg=NUME_FIȘIER
    specifică un fișier de configurare Lynx diferit de fișierul implicit lynx.cfg.

-child
    iese la apăsarea tastei săgeată-stânga în fișierul de pornire și dezactivează salvarea pe disc și opțiunile asociate de imprimare/trimitere prin poșta electronică. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-child_relaxed
    iese la apăsarea tastei săgeată-stânga în fișierul de pornire, dar permite salvarea pe disc și opțiunile asociate de imprimare/trimitere prin poșta electronică. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-cmd_log=NUME_FIȘIER
    scrie comenzile emise de tastele apăsate și informațiile aferente în fișierul specificat.

-cmd_script=NUME_FIȘIER
    read keystroke commands from the specified file. You can use the data written using the -cmd_log option. Lynx will ignore other information which the command-logging may have written to the logfile. Each line of the command script contains either a comment beginning with “#”, or a keyword:

    exit
        determină oprirea scriptului și forțează Lynx să se închidă imediat.

    key the character value, in printable form. Cursor and other special keys are given as names, e.g., “Down Arrow”. Printable 7-bit ASCII codes are given as-is, and hexadecimal values represent other 8-bit codes.

    set urmată de o pereche „nume=valoare” permite suprascrierea valorilor definite în fișierele lynx.cfg sau .lynxrc. Lynx încearcă mai întâi configurarea din fișierul cfg.

-collapse_br_tags
    activează/dezactivează colapsarea etichetelor BR. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-color
    forces color mode on, if available. Default color control sequences which work for many terminal types are assumed if the terminal capability description does not specify how to handle color. Lynx accepts this flag only when built with the slang library. It is equivalent to setting the COLORTERM environment variable.

    If color support is provided by a color-capable curses library such as ncurses, Lynx relies completely on the terminal description to determine whether color mode is possible, and this flag is not needed and thus unavailable.

    O configurare show_color=always salvată în fișierul .lynxrc la pornire are același efect. O configurare show_color=never salvată în fișierul .lynxrc la pornire este suprascrisă de această opțiune.

-connect_timeout=N
    stabilește timpul de expirare al conexiunii, unde N este exprimat în secunde. Valoarea implicită este 300.

-convert_to=PARAMETRU
    convert input, setting output format in MIME type notation (e.g., www/present, www/source), and optionally setting the current character set (i.e., adding “;” followed by charset=VALUE).

-cookie_file=NUME_FIȘIER
    specifică un fișier care va fi utilizat pentru citirea cookie-urilor. Dacă nu se specifică niciunul, valoarea implicită este ~/.lynx_cookies pentru majoritatea sistemelor, dar ~/cookies pentru MS-DOS.

-cookie_save_file=NUME_FIȘIER
    specifică un fișier care va fi utilizat pentru stocarea cookie-urilor. Dacă nu se specifică niciunul, se utilizează valoarea returnată de -cookie_file.

-cookies
    activează sau dezactivează gestionarea anteturilor Set-Cookie. Valoarea implicită a acestei opțiuni este „(on) - activată”.

-core
    activează sau dezactivează generarea forțată a fișierelor core-dump în cazul erorilor fatale. Dezactivează această opțiune pentru a solicita programului Lynx să genereze forțat un fișier core-dump dacă apare o eroare fatală. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-crawl
    cu opțiunea -traversal, se afișează fiecare pagină într-un fișier. Cu opțiunea -dump, se afișează rezultatul în același format ca la comanda -traversal, dar la ieșirea standard.

-curses_pads
    activează/dezactivează utilizarea funcției curses „pad” care permite derularea afișajului spre stânga/dreapta. Valoarea implicită a acestei opțiuni este „(on) - activată”.

    The feature is normally available for curses configurations, but inactive. To activate it, use the “|” character or the LINEWRAP_TOGGLE command. Toggling this option makes the feature altogether unavailable.

-debug_partial
    etape separate de afișare incrementală cu o întârziere de SecundeMesaj. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-default_colors
    activează sau dezactivează funcția „default-colors”, care este configurată în mod normal în fișierul lynx.cfg. Valoarea implicită a acestei opțiuni este „(on) - activată”.

-delay
    adaugă o întârziere de SecundeDepanare după fiecare mesaj de progres. Valoarea implicită este 0.

-display=AFIȘAJ
    definește variabila $DISPLAY pentru programele executate prin X.

-display_charset=nume-MIME
    stabilește setul de caractere pentru ieșirea terminalului.

-dont_wrap_pre
    inhibă înfășurarea textului la utilizarea comenzilor -dump și -crawl, marchează liniile înfășurate ale <pre> în sesiunea interactivă. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-dump
    afișează ieșirea formatată a documentului implicit sau a celor specificate în linia de comandă la ieșirea standard. Spre deosebire de modul interactiv, toate documentele sunt procesate. Această opțiune poate fi utilizată în felul următor:

    lynx -dump https://lynx.invisible-island.net/

    Files specified on the command line are formatted as HTML if their names end with one of the standard web suffixes such as “.htm” or “.html”. Use the -force_html option to format files whose names do not follow this convention.

-editor=EDITOR
    activează editarea externă, folosind EDITOR-ul specificat; (vi, ed, emacs etc.)

-emacskeys
    activează deplasarea cu tastele în stilul Emacs. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-enable_scrollback
    activează sau dezactivează compatibilitatea cu tastele de derulare înapoi ale programelor de comunicare (poate fi incompatibilă cu unele pachete curses). Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-error_file=FIȘIER
    definește un fișier în care Lynx va înregistra codurile de acces HTTP.

-exec
    activează executarea programelor locale (în mod normal, această opțiune nu este configurată).

-fileversions
    include toate versiunile fișierelor în listele din directorul local VMS.

-find_leaks
    activează/dezactivează verificarea scurgerilor de memorie. În mod normal, această funcție nu este inclusă în codul executabil, dar, atunci când este inclusă, poate fi dezactivată pentru o sesiune.

-fail_on_alert
    iese cu un cod de eroare dacă se afișează vreun mesaj de alertă. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-force_empty_hrefless_a
    forțează elementele „A” fără HREF să fie goale (le închide imediat ce apar). Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-force_html
    forțează interpretarea primului document ca HTML. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

    This option is most useful when processing files specified on the command line which have an unrecognized suffix (or the suffix is associated with a non-HTML type, such as “.txt” for plain text files).

    Lynx recunoaște aceste extensii de fișiere ca fiind HTML:

    „.ht3”,
    „.htm”,
    „.html3”,
    „html”,
    „.htmlx”,
    „.php3”,
    „.php”,
    „.phtml”,
    „.sht” și
    „.shtml”.

-force_secure
    activează sau dezactivează forțarea fanionului de securitate pentru cookie-urile SSL. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-forms_options
    comută între afișarea meniului de opțiuni sub formă de comenzi de la tastatură sau sub formă de formular. Valoarea implicită a acestei opțiuni este „(on) - activată”.

-from
    activează sau dezactivează transmiterea antetelor From. Valoarea implicită a acestei opțiuni este „(on) - activată”.

-ftp
    dezactivează accesul prin FTP. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-get_data
    properly formatted data for a get form are read from the standard input and passed to the form. Input is terminated by a line that starts with “---”.

    Lynx issues an HTTP GET, sending the form to the path or URL given on the command-line and prints the response of the server. If no path or URL is given, Lynx sends the form to the start-page.

-head
    trimite o cerere HEAD pentru antetele MIME. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-help
    afișează mesajul privind sintaxa și utilizarea comenzii Lynx și iese.

-hiddenlinks=[opțiune]
    controlează afișarea legăturilor ascunse.

    merge
        legăturile ascunse apar sub formă de numere între paranteze și sunt numerotate împreună cu celelalte legături în ordinea în care apar în document.

    listonly
        hidden links are shown only on L)ist screens and listings generated by -dump or from the P)rint menu, but appear separately at the end of those lists. This is the default behavior.

    ignore
        legăturile ascunse nu apar nici măcar în listări.

-historical
    activează sau dezactivează utilizarea caracterelor „>” sau „-->” ca terminator pentru comentarii. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-homepage=URL
    definește pagina principală separat de pagina inițială.

-html5_charset
    activează/dezactivează utilizarea înlocuirilor de seturi de caractere HTML5. HTML5 tratează CP1252 ca fiind identic cu ISO-8859-1. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-image_links
    activează sau dezactivează includerea legăturilor pentru toate imaginile. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-index=URL
    definește fișierul index implicit la adresa URL specificată.

-ismap
    activează sau dezactivează includerea legăturilor ISMAP atunci când sunt prezente MAP pe partea clientului. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-justify
    efectuează alinierea textului față de margini. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-link=NUMĂR
    numărul inițial pentru fișierele lnk#.dat generate de -crawl. Valoarea implicită este 0.

-list_decoded
    pentru -dump, afișează legăturile codificate ale URL-urilor, decodificate. Valoarea implicită a acestei opțiuni este „(on) - activată”.

    Lynx accepts URL-encoded links on the command line, and decodes them for internal use. When printing URLs, it shows them in encoded form by default. Use this option to disable that printed encoding.

-list_inline
    pentru -dump, afișează legăturile în linie cu textul. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-listonly
    pentru -dump, afișează doar lista legăturilor. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-localhost
    dezactivează adresele URL care conduc către gazde la distanță. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-locexec
    activează executarea locală a programelor numai din fișiere locale (dacă Lynx a fost compilat cu opțiunea de execuție locală activată). Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-lss=NUME_FIȘIER
    specify filename containing color-style information. The default is lynx.lss. If you give an empty filename, Lynx uses a built-in monochrome scheme which imitates the non-color-style configuration.

-mime_header
    afișează antetul MIME al unui document preluat, împreună cu sursa acestuia.

-minimal
    comută între analizarea minimă și cea completă a comentariilor. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-nested_tables
    activează/dezactivează logica tabelelor imbricate (pentru depanare). Valoarea implicită a acestei opțiuni este „(on) - activată”.

-newschunksize=NUMĂR
    numărul de articole din listele de știri fragmentate.

-newsmaxchunk=NUMĂR
    numărul maxim de articole de știri din listări înainte de fragmentare.

-nobold
    dezactivează utilizarea textului în aldin pentru evidențierea anumitor elemente pe ecran.

-nobrowse
    dezactivează navigarea în directoare.

-nocc
    disable Cc: prompts for self copies of mailings. Note that this does not disable any CCs which are incorporated within a mailto URL or form ACTION.

-nocolor
    force color mode off, overriding terminal capabilities and any -color flags, COLORTERM variable, and saved .lynxrc settings.

-noexec
    dezactivează executarea programelor locale. Valoarea implicită a acestei opțiuni este „(on) - activată”.

-nofilereferer
    dezactivează transmiterea antetelor Referer pentru adresele URL ale fișierelor. Valoarea implicită a acestei opțiuni este „(on) - activată”.

-nolist
    dezactivează funcția de listă de legături din afișări. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-nolog
    dezactivează trimiterea prin poșta electronică a mesajelor de eroare către proprietarii documentelor. Valoarea implicită a acestei opțiuni este „(on) - activată”.

-nomargins
    dezactivează marginile din stânga și din dreapta în foaia de stil implicită. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-nomore
    dezactivează afișarea șirului -mai multe- în mesajele din bara de stare.

-nonrestarting_sigwinch
    This flag is not available on all systems, Lynx needs to be compiled with HAVE_SIGACTION defined. If available, this flag may cause Lynx to react more immediately to window changes when run within an xterm. The default is “off”.

-nonumbers
    dezactivează numerotarea legăturilor și a câmpurilor. Această opțiune anulează opțiunile -number_fields și -number_links. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-nopause
    dezactivează pauzele forțate pentru mesajele din bara de stare. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-noprint
    dezactivează majoritatea funcțiilor de imprimare. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-noredir
    împiedică redirecționarea automată și afișează un mesaj care conține o legătură către noua adresă URL. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-noreferer
    dezactivează transmiterea antetelor Referer. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-noreverse
    dezactivează inversarea culorilor implicite de fundal și prim-plan între ele.

-nosocks
    dezactivează utilizarea proxy-ului SOCKS de către un Lynx configurat pentru SOCKS.

-nostatus
    dezactivează mesajele de stare a preluării. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-notitle
    elimină titlul și rândul gol din partea de sus a paginii. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-nounderline
    dezactivează sublinierea textului pentru evidențierea anumitor elemente pe ecran.

-nozap=DURATA
    dezactivează inițial verificările pentru tasta „z” dacă DURATA este „initially”, sau le activează complet în caz contrar.

-number_fields
    forțează numerotarea legăturilor, precum și a câmpurilor de introducere din formulare. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-number_links
    forțează numerotarea legăturilor. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-partial
    activează/dezactivează afișarea parțială a paginilor în timpul încărcării. Valoarea implicită a acestei opțiuni este „(on) - activată”.

-partial_thres=NUMĂR
    numărul de linii care trebuie redate înainte de reafișarea ecranului cu logica de afișare parțială

-passive_ftp
    activează/dezactivează conexiunile FTP pasive. Valoarea implicită a acestei opțiuni este „(on) - activată”.

-pauth=ID:PAROLA
    definește ID-ul de autorizare și parola pentru un server proxy protejat la pornire. Asigurați-vă că protejați toate fișierele de script care utilizează această opțiune.

-popup
    comută modul de afișare a opțiunilor SELECT cu o singură alegere, fie prin ferestre emergente, fie sub formă de liste de butoane radio. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-post_data
    properly formatted data for a post form are read in from the standard input and passed to the form. Input is terminated by a line that starts with “---”.

    Lynx issues an HTTP POST, sending the form to the path or URL given on the command-line and prints the response of the server. If no path or URL is given, Lynx sends the form to the start-page.

-preparsed
    show HTML source preparsed and reformatted when used with -source or in source view to visualize how lynx behaves with invalid HTML. The default is “off”.

-prettysrc
    afișează vizualizarea sursei HTML cu elementele lexicale și etichetele evidențiate prin culori. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-print
    activează funcțiile de imprimare; (implicit). Aceasta este opțiunea opusă opțiunii -noprint. Valoarea implicită a acestei opțiuni este „(on) - activată”.

-pseudo_inlines
    activează/dezactivează pseudo-textul ALT pentru imaginile încorporate care nu au un text ALT. Valoarea implicită a acestei opțiuni este „(on) - activată”.

-raw
    comută între modul implicit de conversie a caracterelor pe 8 biți și modul CJK pentru setul de caractere la pornire. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-realm
    restricționează accesul la adresele URL din domeniul de pornire. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-read_timeout=N
    stabilește timpul de expirare al citirii, unde N este exprimat în secunde. Valoarea implicită este 18000.

-reload
    flushes the cache on a proxy server (only the first document given on the command-line is affected). The default is “off”.

-restrictions=[opțiune][,opțiune][,opțiune]...
    allows a list of services to be disabled selectively. Dashes and underscores in option names can be intermixed. The following list is printed if no options are specified.

    all restricționează toate opțiunile enumerate mai jos.

    bookmark
        nu permite modificarea locației fișierului cu marcaje(semne de carte/favorite).

    bookmark_exec
        nu permite executarea legăturilor prin intermediul fișierului de marcaje(semne de carte/favorite).

    change_exec_perms
        nu permite modificarea permisiunii de execuție a fișierelor (dar o permite în continuare pentru directoare) atunci când este activată gestionarea locală a fișierelor.

    default
        la fel ca opțiunea de linie de comandă -anonymous. Dezactivează serviciile implicite pentru utilizatorii anonimi. Stabilește totul la „restricționat”, cu excepția:

            inside_telnet, outside_telnet, inside_ftp, outside_ftp, inside_rlogin, outside_rlogin, inside_news, outside_news, telnet_port, jump, mail, print, exec, și goto.

        The settings for these, as well as additional goto restrictions for specific URL schemes that are also applied, are derived from definitions within userdefs.h.

    dired_support
        nu permite gestionarea fișierelor locale.

    disk_save
        nu permiteți salvarea pe disc în meniurile de descărcare și de imprimare.

    dotfiles
        nu permite accesul la fișierele ascunse (cu punct) sau crearea acestora.

    download
        blochează anumite programe de descărcare din meniul de descărcare (nu implică restricția disk_save).

    editor
        nu permite editarea externă.

    exec
        dezactivează executarea scripturilor.

    exec_frozen
        împiedică utilizatorul să modifice opțiunea de execuție locală.

    externals
        disallow some “EXTERNAL” configuration lines if support for passing URLs to external applications (with the EXTERN command) is compiled in.

    file_url
        nu permite utilizarea G)oto, a legăturilor sau a marcajelor(semne de carte/favorite) pentru fișiere: URL-uri.

    goto
        dezactivează comanda „g” (goto).

    inside_ftp
        nu permite accesul prin FTP pentru utilizatorii care provin din interiorul domeniului dvs. (este necesar utmp pentru selectivitate).

    inside_news
        nu permite publicarea de știri USENET pentru utilizatorii care accesează din interiorul domeniului tău (este necesar utmp pentru selectivitate).

    inside_rlogin
        nu permite autentificările prin rlogin pentru utilizatorii din interiorul domeniului dvs. (este necesar utmp pentru selectivitate).

    inside_telnet
        nu permite accesul prin Telnet pentru utilizatorii care provin din interiorul domeniului dvs. (este necesar utmp pentru selectivitate).

    jump
        dezactivează comanda „j” (jump).

    multibook
        nu permite marcaje(semene de carte/favorite) multiple.

    mail
        nu permite poșta electronică.

    news_post
        nu permitepublicarea știrilor USENET.

    options_save
        nu permiteți salvarea opțiunilor în fișierul .lynxrc.

    outside_ftp
        nu permite accesul prin FTP pentru utilizatorii care nu aparțin domeniului dvs. (este necesar utmp pentru selectivitate).

    outside_news
        disallow USENET news reading and posting for people coming from outside your domain (utmp required for selectivity). This restriction applies to “news”, “nntp”, “newspost”, and “newsreply” URLs, but not to “snews”, “snewspost”, or “snewsreply” in case they are supported.

    outside_rlogin
        nu permite autentificările prin rlogin pentru utilizatorii care nu aparțin domeniului dvs. (este necesar utmp pentru selectivitate).

    outside_telnet
        nu permite accesul prin Telnet pentru utilizatorii care nu aparțin domeniului dvs. (este necesar utmp pentru selectivitate).

    print
        dezactivează majoritatea opțiunilor de imprimare.

    shell
        dezactivează eludările shell și comenzile lynxexec sau lynxprog G)oto.

    suspend
        nu permite suspendarea cu «Control-Z» în Unix și trecerea la shell.

    telnet_port
        nu permite specificarea unui port în comanda telnet G)oto.

    useragent
        nu permite modificarea antetului User-Agent.

-resubmit_posts
    toggles forced resubmissions (no-cache) of forms with method POST when the documents they returned are sought with the PREV_DOC command or from the History List. The default is “off”.

-rlogin
    dezactivează recunoașterea comenzilor rlogin. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-scrollbar
    activează/dezactivează afișarea barei de derulare. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-scrollbar_arrow
    activează/dezactivează afișarea săgeților la capetele barei de derulare. Valoarea implicită a acestei opțiuni este „(on) - activată”.

-selective
    necesită fișiere .www_browsable pentru a răsfoi directoarele.

-session=NUME_FIȘIER
    reia din fișierul specificat la pornire și salvează sesiunea în acel fișier la închidere.

-sessionin=NUME_FIȘIER
    reia sesiunea din fișierul specificat.

-sessionout=NUME_FIȘIER
    salvează sesiunea în fișierul specificat.

-short_url
    show very long URLs in the status line with “...” to represent the portion which cannot be displayed. The beginning and end of the URL are displayed, rather than suppressing the end. The default is “off”.

-show_cfg
    afișează opțiunile de configurare, de exemplu, așa cum sunt citite din fișierul „lynx.cfg”, și apoi iese. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-show_cursor
    If enabled the cursor will not be hidden in the right hand corner but will instead be positioned at the start of the currently selected link. Show cursor is the default for systems without FANCY_CURSES capabilities. The default configuration can be changed in userdefs.h or lynx.cfg. The command line switch toggles the default. The default is “on”.

-show_rate
    If enabled the transfer rate is shown in bytes/second. If disabled, no transfer rate is shown. Use lynx.cfg or the options menu to select KB/second and/or ETA. The default is “on”.

-socks5_proxy=URL
    Tells lynx which SOCKS5 proxy to use for connections. Any network traffic, including all DNS resolutions except the one for URL itself, will be redirected through the SOCKS5 proxy.

    Adresa URL poate fi specificată astfel:

    “proxy.example.com”, “proxy.example.com:1080”,
    “192.168.0.1”, or “192.168.0.1:1080”

    (and IPv6 notation if so supported). A SOCKS5 proxy may also be specified via the environment variable SOCKS5_PROXY. This option controls the builtin SOCKS5 support, which is unrelated to the option -nosocks.

-soft_dquotes
    activează/dezactivează emularea unei erori din vechile navigatoare Netscape și Mosaic, care trata secvența „>” ca un co-terminator pentru ghilimele duble și etichete. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-source
    funcționează la fel ca opțiunea „dump”, dar afișează codul sursă HTML în loc de text formatat. De exemplu

    lynx -source . >foo.html

    generates HTML source listing the files in the current directory. Each file is marked by an HREF relative to the parent directory. Add a trailing slash to make the HREF's relative to the current directory:

    lynx -source ./ >foo.html

-stack_dump
    dezactivează gestionarul de curățare SIGINT. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-startfile_ok
    permite utilizarea unui fișier de pornire și a unei pagini principale non-http cu -validate. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-stderr
    When dumping a document using -dump or -source, Lynx normally does not display alert (error) messages that you see on the screen in the status line. Use the -stderr option to tell Lynx to write these messages to the standard error. The default is “off”.

-stdin
    citește fișierul de pornire de la intrarea standard (numai în UNIX). Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-syslog=text
    informații pentru apelul syslog.

-syslog_urls
    înregistrează adresele URL solicitate în syslog. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-tagsoup
    inițializează analizorul sintactic, folosind DTD-ul „Tag Soup” în locul celui SortaSGML. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-telnet
    dezactivează recunoașterea comenzilor Telnet. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-term=TERMINAL
    tell Lynx what terminal type to assume it is talking to. (This may be useful for remote execution, when, for example, Lynx connects to a remote TCP/IP port that starts a script that, in turn, starts another Lynx process.)

-timeout=N
    Pentru Win32, definește timpul de așteptare la citirea din rețea, unde N este exprimat în secunde.

-tlog
    comută între utilizarea unui jurnal de urmărire Lynx și ieșirea de eroare standard pentru afișarea informațiilor de urmărire din sesiune. Valoarea implicită a acestei opțiuni este „(on) - activată”.

-tna
    activează modul „extfields Need Activation - Câmpurile de text necesită activare”. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-trace
    activează modul de urmărire Lynx. Destinația ieșirii de urmărire depinde de -tlog. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-trace_mask=valoare
    activează urmăriri opționale, ceea ce poate duce la fișiere de urmărire foarte mari. Combinați valorile cu operația OR logic pentru a combina opțiunile:

    1   stările analizării caracterelor SGML

    2   stil de culoare

    4   TRST (structura tabelului)

    8   configurare (fișierele lynx.cfg, .lynxrc, .lynx-keymaps, precum și conținutul fișierelor mime.types și mailcap)

    16  copierea/adăugarea unui șir binar, utilizată în construirea datelor din formulare

    32  cookies

    64  seturi de caractere

    128 analizarea GridText

    256 perioada

    512 analizarea detaliată a adreselor URL

    Valoarea implicită este 0.

-traversal
    traverse all http links derived from startfile. When used with -crawl, each link that begins with the same string as startfile is output to a file, intended for indexing.

    Pentru mai multe informații, consultați CRAWL.announce.

-trim_blank_lines
    activează sau dezactivează eliminarea liniilor goale de la sfârșitul documentului, precum și eliminarea corespunzătoare a liniilor goale în timpul compactării etichetelor BR. Valoarea implicită a acestei opțiuni este „(on) - activată”.

-trim_input_fields
    tăierea textului din câmpurile de tip text/caseta de text din formulare. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-underline_links
    activează sau dezactivează utilizarea atributului de subliniere/aldine pentru legături. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-underscore
    activează/dezactivează utilizarea formatului _subliniat_ în listări. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-unique_urls
    verifică dacă există numere de legături duplicate în fiecare pagină și în listele corespunzătoare și reutilizează numărul de legătură inițial. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-update_term_title
    enables updating the title in terminal emulators. Use only if your terminal emulator supports that escape code. Has no effect when used with -notitle. The default is “off”.

-use_mouse
    activează suportul pentru maus, dacă este disponibil. Valoarea implicită a acestei opțiuni este „dezactivat (off)”.
    Dacă faceți clic cu butonul stâng al mausului pe o legătură, aceasta este accesată. Dacă faceți clic cu butonul din dreapta al mausului, se revine la ecranul anterior. Faceți clic pe linia de sus pentru a derula în sus. Faceți clic pe linia de jos pentru a derula în jos. Primele câteva poziții din linia de sus și din cea de jos pot apela funcții suplimentare.

    Lynx must be compiled with ncurses or slang to support this feature. If ncurses is used, clicking the middle mouse button pops up a simple menu. Mouse clicks may only work reliably while Lynx is idle waiting for input.

-useragent=Nume
    definește antetul alternativ User-Agent al Lynx.

-validate
    acceptă numai adrese URL de tip HTTP (în scopul validării). De asemenea, sunt implementate restricții complete de securitate.

-verbose
    comută comentariile [LINK], [IMAGE] și [INLINE] cu numele fișierelor acestor imagini. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-version
    afișează informațiile despre versiune și închide programul.

-vikeys
    activează deplasarea cu tastele în stilul Vim. Valoarea implicită este „dezactivată (off)”.

-wdebug
    activează depanarea pachetelor TCP/IP Waterloo (imprimă în fișierul de depanare WATT). Această opțiune se aplică numai versiunilor DOS compilate cu WATTCP sau WATT-32.

-width=NUMĂR
    number of columns for formatting of dumps, default is 80. This is limited by the number of columns that Lynx could display, typically 1024 (the MAX_LINE symbol).

-with_backspaces
    emite caractere de „backspace” (retrogradare) la ieșire în cazul utilizării opțiunilor -dump sau -crawl (la fel ca în cazul man). Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

-xhtml_parsing
    îi indică lui Lynx că poate ignora anumite etichete care nu au conținut într-un document XHTML 1.0. De exemplu, „<p/>” va fi ignorată. Valoarea implicită a acestei opțiuni este „(off) - dezactivată”.

COMENZI
Mai multe taste pot fi asociate unei anumite comenzi. Iată câteva dintre cele mai utile: Folosiți tastele Săgeată sus și Săgeată jos pentru a derula printre legăturile hipertext. Tasta Săgeată dreapta sau tasta Enter va accesa o legătură hipertext evidențiată. Tasta Săgeată stânga sau tasta „u” va face să reveniți dintr-o legătură. Tastați „H”, „?” sau F1 pentru ajutor în direct din Internet și descrieri ale comenzilor de la tastatură. Tastați „k” sau „K” pentru o listă a asocierilor curente ale comenzilor de la tastatură.

    Dacă aceeași comandă este asociată aceeași literă, diferind doar prin majusculă/minusculă, se afișează doar asocierea cu litera mică. Tastați Delete pentru a vizualiza lista istoricului.

MEDIU
Pe lângă diverse variabile de mediu „standard”precum DISPLAY, HOME, PATH, SHELL, TMPDIR, USER, etc., Lynx utilizează mai multe variabile de mediu specifice Lynx, dacă acestea există.

Alte variabile pot fi create sau modificate de Lynx pentru a transmite date către un program extern sau din alte motive. Acestea sunt enumerate separat mai jos.

A se vedea și secțiunile referitoare la SUPORT CGI SIMULAT și SUPORT PENTRU LIMBA MATERNĂ, de mai jos.

Note: Not all environment variables apply to all types of platforms supported by Lynx, though most do. Feedback on platform dependencies is solicited.

Variabile de mediu utilizate de Lynx:

COLORTERM
    If set, color capability for the terminal is forced on at startup time. The actual value assigned to the variable is ignored. This variable is only meaningful if Lynx was built using the slang screen-handling library.

LYNX_CFG
    This variable, if set, will override the default location and name of the global configuration file (normally, lynx.cfg) that was defined by the LYNX_CFG_FILE constant in the userdefs.h file, during installation.

    Pentru mai multe informații, consultați fișierul userdefs.h.

LYNX_CFG_PATH
    If set, this variable overrides the compiled-in search-list of directories used to find the configuration files, e.g., lynx.cfg and lynx.lss. The list is delimited with ":" (or ";" for Windows) like the PATH environment variable.

LYNX_HELPFILE
    Dacă este definită, această variabilă înlocuiește adresa URL inclusă la compilare și adresa URL a fișierului de configurare pentru fișierul de ajutor Lynx.

LYNX_LOCALEDIR
    If set, this variable overrides the compiled-in location of the locale directory which contains native language (NLS) message text.

LYNX_LSS
    This variable, if set, specifies the location of the default Lynx character style sheet file. [Currently only meaningful if Lynx was built using curses color style support.]

LYNX_SAVE_SPACE
    This variable, if set, will override the default path prefix for files saved to disk that is defined in the lynx.cfg SAVE_SPACE: statement.

    Pentru mai multe informații, consultați fișierul lynx.cfg.

LYNX_TEMP_SPACE
    This variable, if set, will override the default path prefix for temporary files that was defined during installation, as well as any value that may be assigned to the TMPDIR variable.

MAIL
    This variable specifies the default inbox Lynx will check for new mail, if such checking is enabled in the lynx.cfg file.

NEWS_ORGANIZATION
    This variable, if set, provides the string used in the Organization: header of USENET news postings. It will override the setting of the ORGANIZATION environment variable, if it is also set (and, on UNIX, the contents of an /etc/organization file, if present).

NNTPSERVER
    Dacă este definită, această variabilă specifică serverul NNTP implicit care va fi utilizat pentru citirea și publicarea știrilor USENET cu Lynx, prin intermediul știri(news): adrese URL.

ORGANIZATION
    This variable, if set, provides the string used in the Organization: header of USENET news postings. On UNIX, it will override the contents of an /etc/organization file, if present.

PROTOCOL_proxy
    Lynx supports the use of proxy servers that can act as firewall gateways and caching servers. They are preferable to the older gateway servers (see WWW_access_GATEWAY, below).

    Each protocol used by Lynx, (http, ftp, gopher, etc), can be mapped separately by setting environment variables of the form PROTOCOL_proxy. Protocols are indicated in a URI by the name before “:”, e.g., “http” in “http://some.server.dom:port/” for HTML.

    În funcție de configurația sistemului și de protocoalele acceptate, variabilele de mediu recunoscute de lynx pot include

    cso_proxy
    finger_proxy
    ftp_proxy
    gopher_proxy
    http_proxy
    https_proxy
    news_proxy
    newspost_proxy
    newsreply_proxy
    nntp_proxy
    no_proxy
    rlogin_proxy
    snews_proxy
    snewspost_proxy
    snewsreply_proxy
    telnet_proxy
    tn3270_proxy
    wais_proxy

    Pentru detalii suplimentare consultați Ghidul utilizatorului Lynx – „Lynx Users Guide”.

RL_CLCOPY_CMD
    Redirecționează conținutul legăturii curente folosind această comandă ca destinație.

RL_PASTE_CMD
    Deschide o conductă pentru citirea din această comandă, lipind-o în câmpul editabil curent sau în linia de comandă.

SOCKS5_PROXY
    Se verifică dacă -socks5_proxy nu a fost utilizat (pentru același conținut).

SSL_CERT_DIR
    Definește ruta către directorul care conține certificatele de încredere.

SSL_CERT_FILE
    Definește ruta completă și numele fișierului care conține certificatele de încredere.

WWW_access_GATEWAY
    Lynx still supports use of gateway servers, with the servers specified via “WWW_access_GATEWAY” variables (where “access” is lower case and can be “http”, “ftp”, “gopher” or “wais”). However most gateway servers have been discontinued. Note that you do not include a terminal “/” for gateways, but do for proxies specified by PROTOCOL_proxy environment variables.

    Pentru detalii, consultați Ghidul utilizatorului Lynx – „Lynx Users Guide”.

WWW_HOME
    Această variabilă, dacă este definită, va înlocui adresa URL implicită de pornire specificată în oricare dintre fișierele de configurare Lynx.

Variabile de mediu definite sau modificate de Lynx:

LYNX_PRINT_DATE
    This variable is set by the Lynx p(rint) function, to the Date: string seen in the document's “Information about” page (= cmd), if any. It is created for use by an external program, as defined in a lynx.cfg PRINTER: definition statement. If the field does not exist for the document, the variable is set to a null string under UNIX, or “No Date” under VMS.

LYNX_PRINT_LASTMOD
    This variable is set by the Lynx p(rint) function, to the Last Mod: string seen in the document's “Information about” page (= cmd), if any. It is created for use by an external program, as defined in a lynx.cfg PRINTER: definition statement. If the field does not exist for the document, the variable is set to a null string under UNIX, or “No LastMod” under VMS.

LYNX_PRINT_TITLE
    This variable is set by the Lynx p(rint) function, to the Linkname: string seen in the document's “Information about” page (= cmd), if any. It is created for use by an external program, as defined in a lynx.cfg PRINTER: definition statement. If the field does not exist for the document, the variable is set to a null string under UNIX, or “No Title” under VMS.

LYNX_PRINT_URL
    This variable is set by the Lynx p(rint) function, to the URL: string seen in the document's “Information about” page (= cmd), if any. It is created for use by an external program, as defined in a lynx.cfg PRINTER: definition statement. If the field does not exist for the document, the variable is set to a null string under UNIX, or “No URL” under VMS.

LYNX_TRACE
    Dacă este definită, determină ca Lynx să genereze un fișier de urmărire a traseului de execuție, ca și cum ar fi fost specificată opțiunea -trace.

LYNX_TRACE_FILE
    If set, overrides the compiled-in name of the trace file, which is either Lynx.trace or LY-TRACE.LOG (the latter on the DOS/Windows platforms). The trace file is in either case relative to the home directory.

LYNX_VERSION
    Această variabilă este întotdeauna definită de Lynx și poate fi utilizată de un program extern pentru a stabili dacă a fost apelată de Lynx.

    A se vedea și comentariile din fișierul mailcap de exemplu al distribuției, pentru indicații privind utilizarea într-un astfel de fișier.

TERM
    Normally, this variable is used by Lynx to determine the terminal type being used to invoke Lynx. If, however, it is unset at startup time (or has the value “unknown”), or if the -term command-line option is used (see OPTIONS section above), Lynx will set or modify its value to the user specified terminal type (for the Lynx execution environment). Note: If set/modified by Lynx, the values of the LINES and/or COLUMNS environment variables may also be changed.

  Suport CGI simulat
Dacă este compilat cu opțiunea cgi-links activată, Lynx permite accesul direct la un script CGI, fără a fi necesar un demon HTTP.

La executarea unor astfel de „scripturi lynxcgi” (dacă sunt activate), pot fi definite următoarele variabile pentru simularea unui mediu CGI:

CONTENT_LENGTH

CONTENT_TYPE

DOCUMENT_ROOT

HTTP_ACCEPT_CHARSET

HTTP_ACCEPT_LANGUAGE

HTTP_USER_AGENT

PATH_INFO

PATH_TRANSLATED

QUERY_STRING

REMOTE_ADDR

REMOTE_HOST

REQUEST_METHOD

SERVER_SOFTWARE

Other environment variables are not inherited by the script, unless they are provided via a LYNXCGI_ENVIRONMENT statement in the configuration file. See the lynx.cfg file, and the (draft) CGI 1.1 Specification <http://Web.Golux.Com/coar/cgi/draft-coar-cgi-v11-00.txt> for the definition and usage of these variables.

Pentru informații generale privind programarea scripturilor CGI, se recomandă consultarea Specificației CGI și a altor documente conexe.

  Suport pentru limba maternă
If configured and installed with Native Language Support, Lynx will display status and other messages in your local language. See the file ABOUT_NLS in the source distribution, or at your local GNU site, for more information about internationalization.

Următoarele variabile de mediu pot fi utilizate pentru a modifica valorile implicite:

LANG
    This variable, if set, will override the default message language. It is an ISO 639 two-letter code identifying the language. Language codes are NOT the same as the country codes given in ISO 3166.

LANGUAGE
    This variable, if set, will override the default message language. This is a GNU extension that has higher priority for setting the message catalog than LANG or LC_ALL.

LC_ALL
    și

LC_MESSAGES
    Aceste variabile, dacă sunt definite, specifică conceptul de stil de formatare specific limbii native. Ele sunt corecte din punct de vedere POSIX.

LINGUAS
    This variable, if set prior to configuration, limits the installed languages to specific values. It is a space-separated list of two-letter codes. Currently, it is hard-coded to a wish list.

NLSPATH
    Această variabilă, dacă este definită, este utilizată ca prefix al rutei pentru cataloagele de mesaje.

NOTE

  Liste de discuții
If you wish to contribute to the further development of Lynx, subscribe to our mailing list. Send email to <lynx-dev-request@nongnu.org> with “subscribe lynx-dev” as the only line in the body of your message.

Trimiteți rapoarte de erori, comentarii și sugestii la adresa <lynx-dev@nongnu.org> după ce v-ați abonat.

Unsubscribe by sending email to <lynx-dev-request@nongnu.org> with “unsubscribe lynx-dev” as the only line in the body of your message. Do not send the unsubscribe message to the lynx-dev list, itself.

  Mulțumiri
Lynx has incorporated code from a variety of sources along the way. The earliest versions of Lynx included code from Earl Fogel of Computing Services at the University of Saskatchewan, who implemented HYPERREZ in the Unix environment. HYPERREZ was developed by Niel Larson of Think.com and served as the model for the early versions of Lynx. Those versions also incorporated libraries from the Unix Gopher clients developed at the University of Minnesota, and the later versions of Lynx rely on the WWW client library code developed by Tim Berners-Lee and the WWW community. Also a special thanks to Foteos Macrides who ported much of Lynx to VMS and did or organized most of its development since the departures of Lou Montulli and Garrett Blythe from the University of Kansas in the summer of 1994 through the release of v2.7.2, and to everyone on the net who has contributed to Lynx's development either directly (through patches, comments or bug reports) or indirectly (through inspiration and development of other systems).

AUTORI
Lou Montulli, Garrett Blythe, Craig Lavender, Michael Grobe, Charles Rezac
Academic Computing Services
University of Kansas
Lawrence, Kansas 66047

Foteos Macrides
Worcester Foundation for Biomedical Research
Shrewsbury, Massachusetts 01545

Thomas E. Dickey
<dickey@invisible-island.net>

CONSULTAȚI ȘI
catgets(3), curses(3), environ(7), ftp(1), gettext(GNU), localeconv(3), ncurses(3), setlocale(3), termcap(5), terminfo(5)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.